
import java.awt.*;
import javax.swing.*;

public class Juke extends JFrame {
    JPanel statusPnl;
    JPanel playlistPnl;
    JPanel selectionPnl;

    public Juke(String args[])
    {
	statusPnl = new Status();

	playlistPnl = new Playlist();
	
	selectionPnl = new JPanel();
	selectionPnl.setBackground(Color.darkGray);
	selectionPnl.setBorder(BorderFactory.createEmptyBorder(12, 12, 11, 11));

	JSplitPane lsplit = new JSplitPane(JSplitPane.VERTICAL_SPLIT,
					   statusPnl, playlistPnl);
	lsplit.setResizeWeight(0);

	JSplitPane hsplit = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,
					   lsplit, selectionPnl);
	hsplit.setResizeWeight(0);
	hsplit.setPreferredSize(new Dimension(800, 600));

	this.getContentPane().add(hsplit);
    }

    static public void main(String args[])
    {
	Juke juke = new Juke(args);
	
	juke.setSize(800, 600);
	juke.pack();
	juke.setVisible(true);
    }
}
